gtk-sharp 0.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Adds scrollbars to its child widget.

GtkScrolledWindow is a subclass: it's a container the accepts a single child widget. GtkScrolledWindow adds scrollbars to the child widget and optionally draws a beveled frame around the child widget.

The scrolled window can work in two ways. Some widgets have native scrolling support; these widgets have "slots" for objects. Widgets with native scroll support include , , and .

The position of the scrollbars is controlled by the scroll adjustments. See for the properties in an adjustment - for , used by , the property represents the position of the scrollbar, which must be between the and - . The property represents the size of the visible scrollable area. The and properties are used when the user asks to step down (using the small stepper arrows) or page down (using for example the PageDown key).

Gtk.Bin Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void `` Used to add children without native scrolling capabilities. To be added: an object of type 'Gtk.Widget'

  Used to add children without native scrolling capabilities. This is simply a convenience function; it is equivalent to adding the unscrollable child to a viewport, then adding the viewport to the scrolled window. If a child has native scrolling, use instead of this function.

  The viewport scrolls the child by moving its , and takes the size of the child to be the size of its toplevel . This will be very wrong for most widgets that support native scrolling; for example, if you add a widget such as with a viewport, the whole widget will scroll, including the column headings. Thus, widgets with native scrolling support should not be used with the proxy.

  A widget supports scrolling natively if the set_scroll_adjustments_signal field in GtkWidgetClass is non-zero, i.e. has been filled in with a valid signal identifier.

- Method
  System.Void `` `` Sets the scrollbar policy for the horizontal and vertical scrollbars. Policy for horizontal bar. Policy for vertical bar.

  Sets the scrollbar policy for the horizontal and vertical scrollbars. The policy determines when the scrollbar should appear; it is a value from the enumeration. If , the scrollbar is always present; if , the scrollbar is never present; if , the scrollbar is present only if needed (that is, if the slider part of the bar would be smaller than the trough - the display is larger than the page size).

- Method
  System.Void `` `` Retrieves the current policy values for the horizontal and vertical scrollbars. Location to store the policy for the horizontal scrollbar. Location to store the policy for the horizontal scrollbar.

  Retrieves the current policy values for the horizontal and vertical scrollbars.

- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  GLib type for the type
  Creates a new instance of ScrolledWindow, using the GLib-provided type

  This is a constructor used by derivative types of that would have their own GLib type assigned to it. This is not typically used by C# code.

- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of ScrolledWindow, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new scrolled window.
  Horizontal adjustment.
  Vertical adjustment.
  To be added: an object of type 'Gtk.ScrolledWindow'

  Creates a new scrolled window. The two arguments are the scrolled window's adjustments; these will be shared with the scrollbars and the child widget to keep the bars in sync with the child. Usually you want to pass for the adjustments, which will cause the scrolled window to create them for you.

- Constructor
  To be added
  To be added: an object of type 'Gtk.ScrolledWindow'
  To be added
- Property
  System.UInt32 The GLib Type for Gtk.ScrolledWindow The GLib TYpe for the Gtk.ScrolledWindow class.
- Property
  Gtk.CornerType `` Determines the location of the child widget with respect to the scrollbars. Position of the child window.

  Determines the location of the child widget with respect to the scrollbars. The default is , meaning the child is in the top left, with the scrollbars underneath and to the right. Other values in are , , and .

- Property
  Gtk.PolicyType `` When the horizontal scrollbar is displayed. To be added: an object of type 'Gtk.PolicyType' To be added: an object of type 'Gtk.PolicyType' To be added
- Property
  Gtk.Adjustment `` Sets the for the horizontal scrollbar. Horizontal scroll adjustment. The horizontal GtkAdjustment. To be added
- Property
  Gtk.PolicyType `` When the vertical scrollbar is displayed. To be added: an object of type 'Gtk.PolicyType' To be added: an object of type 'Gtk.PolicyType' To be added
- Property
  Gtk.Adjustment `` Sets or Gets the for the vertical scrollbar. Vertical scroll adjustment. The vertical GtkAdjustment. To be added
- Property
  Gtk.ShadowType `` Gets the shadow type of the scrolled window. Kind of shadow to draw around scrolled window contents. The current shadow type. To be added.
- Property
  Gtk.CornerType `` Where the contents are located with respect to the scrollbars. To be added: an object of type 'Gtk.CornerType' To be added: an object of type 'Gtk.CornerType' To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added